import javax.swing.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.JOptionPane;
import javax.swing.border.Border;

public class GamePanel extends JPanel{

	static GuessPanel guessPanel; 
	ResultPanel resultPanel;
		
	public GamePanel()
	{
		// add the guess panel and result panel to one game panel
		guessPanel = new GuessPanel();
		resultPanel = new ResultPanel();
		
		this.setLayout(new BorderLayout());
		
		this.add(guessPanel, BorderLayout.NORTH);
		this.add(resultPanel, BorderLayout.SOUTH);
	}
	
	public void clear()
	{
		guessPanel.clear();
		resultPanel.clear();
	}
	
	public void setResult(int pegSet, int[] values) {
		resultPanel.setResult(pegSet, values);
	}
	
	public void setPegs(int pegSet, int[] values) {
		guessPanel.setPegs(pegSet, values);
	}
	
	public void setClickable(int i, boolean value) {
		guessPanel.setClickable(i, value);
	}
	
	public int[] getValues(int column) {
		return guessPanel.getValues(column);
	}	

}
